	*[data-type="popUp"]{
		position: fixed
		font-family: sans-serif
		left: 25%
		background: #ffffff
		min-height: 5rem
		top: 10px
		border-radius: 3px
		padding: 0.7rem
		box-shadow: 0 0 10px #000
		pointer-events: all
		z-index: 1000
	}
	*[data-type="popUp"].autoWidth {
		width: auto !important
		min-width: auto !important
		min-height: 0px !important
		padding: 2px 4px !important
		border-radius: 2px
		background: #fff;//rgba(240, 240, 240, 0.90);//rgba(72, 72, 72, 0.9)//rgba(72, 48, 135, 0.90)
		border: none !important
		box-shadow: 0px 0px 7px 0px #000 !important
	}
	*[data-type="popUp"]:not([data-component*="_edit"]):not(.autoWidth):not([data-component*="confirmation"]){
		width: auto
		position: absolute
		min-width: 33% !important
		max-width: 33% !important
	}
	*[data-type="popUp"] .materialize-textarea, *[data-type="popUp"][data-component*="_edit"] .input-field input
		height: 1.5rem
		margin-top: 10px
		padding-top: 0px
		padding-bottom: 0.2rem
		line-height:1.2rem
		min-height:1.5rem !important
		
	*[data-type="popUp"]
		*[data-place-before]:empty 
			display: none;
	
		*[data-place-before]:before 
			content: attr(data-place-before);
			font-weight: 600;
			font-size: 85%;
			color: #9e9e9e;
    		
		.col .col
			padding: 0px;
			
		.popupHead
			margin: 5px 0px 10px;
			font-size: 1.2em;
			display:inline-block;
		
		.popupFoot
			color: grey;
			font-size: 1rem;
			margin-top: 10px !important;

		.popup-menu {
			position: absolute;
		    top: -1.7rem;
		    right: -1.5rem;
			-webkit-user-select: none;  /* Chrome all / Safari all */
			-moz-user-select: none;     /* Firefox all */
			-ms-user-select: none;      /* IE 10+ */
			user-select: none; 

			& .btn-floating {
				margin 0px 5px
				background-color #36c59a

				&.com-close {
					background-color: #d2d2d2;
				}

				& i {
					font-size: 1.6rem !important;
    				line-height: 3rem !important;
    				vertical-align: inherit;
				}

			}
		}	

		
	*[data-type="popUp"][data-component*="_edit"]
		//top: 0px !important
		left: 200px
		width: auto
		height: 750px
		background: rgba(53, 53, 53, 0.45)
		overflow:auto
		
		[data-input-editable]
			position: relative
			margin: 0 auto
			width: 60%
			min-height: 55%
			background: #fff
			padding: 1rem 1rem 1.5rem
			border-radius: 5px
			left: 0%
			top: 7%
	
		[data-input-editable] [data-wrapper]
			width 100%
			min-height 150p
			padding-top 15px
		
		[data-input-editable] [data-wrapper][data-overflow]
			max-height 40rem
			position relative
			overflow auto !important
	
		.input-field
			margin-top:0px
			padding-left:0px
	
	*[data-type="popUp"] .row
		margin:0px;
	
	*[data-type="popUp"] .row.input-field + .row:not(.input-field)
		margin-top: 25px !important;
	
	*[data-type="popUp"] > div *, *[data-type="popUp"] > *
		font-size: 1.2rem;
	
	/** Start of Denoter Arrow **/
	*[data-type="popUp"].top
		border-top: 3px solid $base-color
	
	*[data-type="popUp"].bottom
		border-bottom: 3px solid $base-color
	
	*[data-type="popUp"].autoWidth.bottom i.arrow-denoter
		bottom:-5px
	
	*[data-type="popUp"].autoWidth i.arrow-denoter
		font-size: 50px
		color: #fff;//rgba(240, 240, 240, 0.90);//rgba(72, 72, 72, 0.9)//rgba(72, 48, 135, 0.90)
	
	*[data-type="popUp"] i.arrow-denoter
		font-size: 60px
		color: $base-color
		position: absolute
		left: 0px
		width: 100%
		line-height: 1px
		pointer-events: none
	
	*[data-type="popUp"].top i.arrow-denoter
		top: -7px
	
	*[data-type="popUp"].bottom i.arrow-denoter
		bottom: -7px
	
	/** End of Denoter Arrow **/
	

	*[data-pop-size="pop-sm"][data-type="popUp"][data-component*="_edit"] [data-input-editable]
		width: 40%
		min-height: 30%
		top: 15%

	*[data-pop-size="pop-md"][data-type="popUp"][data-component*="_edit"] 
		& [data-input-editable]
			width: 60%
			min-height: 55%
			top: 18%	
			
		& .popUpText
				max-height 25rem
				overflow auto !important

				& .reorderList td
					padding 5px	

	*[data-pop-size="pop-lg"][data-type="popUp"][data-component*="_edit"] [data-input-editable]
		width: 70%
		min-height: 75%
		top: 5%	

	*[data-type="popUp"] .checkbox {
		opacity: 1;
	    display: block;
	    left: 0px;	
	    margin-top: 0px;
	}

	*[data-type="popUp"][data-component="figure_edit"] 
		& table 
			& td,th 
				padding 10px;
	